Xerces 3.1.1 API: Class ValidatingSAXParser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.xml.parsers
Class ValidatingSAXParser

    java.lang.Object
      |
      +--com.ibm.xml.parsers.SAXParser
            |
            +--com.ibm.xml.parsers.ValidatingSAXParser

Deprecated. The W3C's DOM L3 working group will specify a standardized API for parser instantiation. XML4J and Xerces will switch to this API when it becomes available

public class ValidatingSAXParser
extends SAXParser

ValidatingSAXParser exists to provide backwards compatibility with XML4J V2.0

Version:
  91 1.2 xml4j3/src/com/ibm/xml/parsers/ValidatingSAXParser.java, xml4j3, xml4j3_0_1

Fields inherited from class com.ibm.xml.parsers.SAXParser
`fParser`

Constructor Summary
`ValidatingSAXParser()` Deprecated.

Methods inherited from class com.ibm.xml.parsers.SAXParser
`attlistDecl, characters, characters, comment, doctypeDecl, elementDecl, endDocument, endElement, endEntityReference, endExternalSubset, endInternalSubset, externalEntityDecl, getAllowJavaEncodingName, getCheckNamespace, getContinueAfterFatalError, getLocator, getWarningOnDuplicateAttDef, ignorableWhitespace, ignorableWhitespace, internalEntityDecl, notationDecl, parameterEntityDecl, parse, parse, processingInstruction, reset, sendCharDataAsCharArray, setAllowJavaEncodingName, setCheckNamespace, setContinueAfterFatalError, setDocumentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setLocale, setWarningOnDuplicateAttDef, startDocument, startElement, startEntityReference, startExternalSubset, startInternalSubset, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatingSAXParser

    public ValidatingSAXParser()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD